Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.connection
Interface ConnectionFactoryUtils.ResourceFactory

Enclosing class:
  ConnectionFactoryUtils

    public static interface ConnectionFactoryUtils.ResourceFactory

Callback interface for resource creation. Serving as argument for the `doGetTransactionalSession` method.

Method Summary
`javax.jms.Connection` | `createConnection()` Create a new JMS Connection for registration with a JmsResourceHolder.
`javax.jms.Session` | `createSession(javax.jms.Connection con)` Create a new JMS Session for registration with a JmsResourceHolder.
`javax.jms.Connection` | `getConnection(JmsResourceHolder holder)` Fetch an appropriate Connection from the given JmsResourceHolder.
`javax.jms.Session` | `getSession(JmsResourceHolder holder)` Fetch an appropriate Session from the given JmsResourceHolder.
`boolean` | `isSynchedLocalTransactionAllowed()` Return whether to allow for a local JMS transaction that is synchronized with a Spring-managed transaction (where the main transaction might be a JDBC-based one for a specific DataSource, for example), with the JMS transaction committing right after the main transaction.

Method Detail

### getSession

    javax.jms.Session getSession(JmsResourceHolder holder)

  Fetch an appropriate Session from the given JmsResourceHolder.

  Parameters:
    `holder` - the JmsResourceHolder
  Returns:
    an appropriate Session fetched from the holder, or `null` if none found

### getConnection

    javax.jms.Connection getConnection(JmsResourceHolder holder)

  Fetch an appropriate Connection from the given JmsResourceHolder.

  Parameters:
    `holder` - the JmsResourceHolder
  Returns:
    an appropriate Connection fetched from the holder, or `null` if none found

### createConnection

    javax.jms.Connection createConnection()
                                          throws javax.jms.JMSException

  Create a new JMS Connection for registration with a JmsResourceHolder.

  Returns:
    the new JMS Connection
  Throws:
    `javax.jms.JMSException` - if thrown by JMS API methods

### createSession

    javax.jms.Session createSession(javax.jms.Connection con)
                                    throws javax.jms.JMSException

  Create a new JMS Session for registration with a JmsResourceHolder.

  Parameters:
    `con` - the JMS Connection to create a Session for
  Returns:
    the new JMS Session
  Throws:
    `javax.jms.JMSException` - if thrown by JMS API methods

### isSynchedLocalTransactionAllowed

    boolean isSynchedLocalTransactionAllowed()

  Return whether to allow for a local JMS transaction that is synchronized with a Spring-managed transaction (where the main transaction might be a JDBC-based one for a specific DataSource, for example), with the JMS transaction committing right after the main transaction.

  Returns:
    whether to allow for synchronizing a local JMS transaction

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD